//  FindDialog.h version 1.0
//  yudit package - Unicode Editor for the X Window System (and Linux) 
//
//  Author: gsinai@iname.com (Gaspar Sinai)
//  GNU Copyright (C) 1997,1998  Gaspar Sinai
// 
//  yudit version 1.0  Copyright(C) 17 May,      1998, Tokyo Japan  Gaspar Sinai
//  yudit version 0.99 Copyright(C)  4 April,    1998, Tokyo Japan  Gaspar Sinai
//  yudit version 0.97 Copyright(C)  4 February, 1998, Tokyo Japan  Gaspar Sinai
//  yudit version 0.95 Copyright(C) 10 January,  1998, Tokyo Japan  Gaspar Sinai
//  yudit version 0.94 Copyright(C) 17 December, 1997, Tokyo Japan  Gaspar Sinai
//  yudit version 0.9 Copyright (C)  8 December, 1997, Tokyo Japan  Gaspar Sinai
//  yutex version 0.8 Copyright (C)  5 November, 1997, Tokyo Japan  Gaspar Sinai
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
//
#ifndef __finddialog_h__
#define __finddialog_h__

#include <Config.h>
#include <QUWidget.h>
#include <QUEntry.h>
#include <qwidget.h>
#include <qdialog.h>
#include <qpushbt.h>
#include <qlayout.h>
#include <qlined.h>
#include <qlabel.h>

class FindDialog : public QDialog
{
        		Q_OBJECT
public:
			FindDialog(QWidget* parent, QUWidgetBase* quwidgetIn, 
				const Config *config);
			~FindDialog ();
	void		findString ();

private:
	int		findResult;

	UWidget*	uWidgetParent;
	const Config*	topConfig;
	QGridLayout*	layout;

	QLabel*		findLabel;
	QLabel*		findXLabel;
	QUEntry*	findWidget;

	QLabel*		replaceLabel;
	QLabel*		replaceXLabel;
	QUEntry*	replaceWidget;

	QPushButton*	buttonFind;
	QPushButton*	buttonFindReplace;
	QPushButton*	buttonDismiss;
private slots:
	void		uFind();
	void		uFindReplace();
};

#endif /* __finddialog_h__ */
